Holger's Java API

## com.antelmann.cddb
Class CDDBServer

    java.lang.Object
      com.antelmann.cddb.CDDBServer

All Implemented Interfaces:
  Serializable

    public class CDDBServer

extends Object
implements Serializable

CDDBServer represents a server that can act as a mirror to a CDDB service.

This class has all elements as they can be retrieved from a CDDB service supporting protocol level 3-5.

Author:
  Holger Antelmann
See Also:
  `FreeDB.setServer(CDDBServer)`, `FreeDB.listSites()`, Serialized Form

Field Summary
`static CDDBServer` `DEFAULT_SERVER` the default server: freedb.freedb.org with http on port 80

Constructor Summary
`CDDBServer(String site, String protocol, int port, String address, String latitude, String longitude, String description)`

Method Summary
`String` `getAddress()`
`String` `getDescription()`
`String` `getLatitude()`
`String` `getLongitude()`
`int` `getPort()`
`String` `getProtocol()`
`String` `getSite()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SERVER

    public static final CDDBServer DEFAULT_SERVER

  the default server: freedb.freedb.org with http on port 80

Constructor Detail

### CDDBServer

    public CDDBServer(String site,
                      String protocol,
                      int port,
                      String address,
                      String latitude,
                      String longitude,
                      String description)

Method Detail

### getSite

    public String getSite()

### getProtocol

    public String getProtocol()

### getPort

    public int getPort()

### getAddress

    public String getAddress()

### getLatitude

    public String getLatitude()

### getLongitude

    public String getLongitude()

### getDescription

    public String getDescription()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads